Name:          abbot
Version:       1.3.0
Release:       %mkrel 0.rc1.1
Summary:       Java GUI Test Framework
Group:         Development/Java
License:       Common Public License 1.0
Url:           http://abbot.sourceforge.net/
Source0:       http://sourceforge.net/projects/abbot/files/abbot/%{version}/abbot-%{version}-svn.tar.bz2
Source1:       abbot-%{version}.pom
Source2:       costello-%{version}.pom
Source3:       abbot-script
Source4:       abbot.desktop
Source5:       abbot_64x64.png
Patch0:        abbot-1.0.2-build_xml.patch

BuildRequires: ant
BuildRequires: bsh2
BuildRequires: desktop-file-utils
BuildRequires: gnu-regexp
BuildRequires: imagemagick
BuildRequires: jakarta-oro
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jdom
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
# Optional jars
# net.sf.ant4eclipse 0.4.0.beta 
BuildRequires: ant4eclipse0
BuildRequires: jgraph
Requires:      jpackage-utils
Provides:      costello = %{version}
BuildArch:     noarch

%description
Abbot is a simple framework for unit and functional testing of Java GUIs.
Facilitates generating user actions and examining component state.
Supports recording and playback on any Java application.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Abbot - Java GUI Test Framework.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
Abbot - Java GUI Test Framework.

This package contains manual for %{name}

%package suite
Group:         Development/Java
Summary:       %{name} editor
BuildRequires: desktop-file-utils
BuildRequires: imagemagick
Requires:      %{name} = %{version}-%{release} 
Requires:      bsh2
Requires:      gnu-regexp
Requires:      java
Requires:      jdom
Requires:      jgraph
Requires:      jpackage-utils
Requires:      junit
Requires:      xerces-j2
Requires:      xml-commons-apis

%description suite
Abbot - Java GUI Test Framework.

This package contains %{name} editor

%prep
%setup -q -n abbot
rm -rf doc

#%patch0 -p0

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

ln -sf $(build-classpath junit) lib/junit-4.8.2.jar
ln -sf $(build-classpath jdom) lib/jdom-1.1.1.jar
ln -sf $(build-classpath gnu-regexp) lib/gnu-regexp-1.1.4.jar
ln -sf $(build-classpath ant4eclipse0) lib/ant4eclipse/ant4eclipse.jar
ln -sf $(build-classpath jgraph) lib/jgraph.jar

%build

ant -Djavac.source=1.5 -Djavac.target=1.5
ant javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 build/abbot.jar %{buildroot}%{_javadir}/abbot-%{version}.jar
install -m 644 build/costello.jar %{buildroot}%{_javadir}/costello-%{version}.jar
install -m 644 build/example.jar %{buildroot}%{_javadir}/abbot-example-%{version}.jar

%add_to_maven_depmap net.sf.abbot abbot %{version} JPP abbot
%add_to_maven_depmap net.sf.abbot costello %{version} JPP costello
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-abbot.pom
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-costello.pom

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/abbot-%{version}
cp -pr doc/api/* %{buildroot}%{_javadocdir}/abbot-%{version}
ln -s abbot-%{version} %{buildroot}%{_javadocdir}/abbot
rm -rf doc/api

mkdir -p %{buildroot}%{_docdir}/abbot
cp -pr doc %{buildroot}%{_docdir}/abbot
cp -pr README.shtml %{buildroot}%{_docdir}/abbot

mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{SOURCE3} %{buildroot}%{_bindir}/abbot
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --mode=644 --dir=%{buildroot}%{_datadir}/applications %{SOURCE4}

for s in 16x16 32x32 ;do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/$s/apps
  convert -resize $s %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/$s/apps/abbot.png
done

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -pr %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/abbot.png

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/abbot-%{version}.jar
%{_javadir}/abbot.jar
%{_javadir}/costello-%{version}.jar
%{_javadir}/costello.jar
%{_javadir}/abbot-example-%{version}.jar
%{_javadir}/abbot-example.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/abbot-%{version}
%{_javadocdir}/abbot

%files manual
%doc %{_docdir}/abbot

%files suite
%{_bindir}/abbot
%{_datadir}/applications/abbot.desktop
%{_datadir}/icons/hicolor/*x*/apps/abbot.png
%{_datadir}/pixmaps/abbot.png



%changelog

* Fri Jan 18 2013 dmorgan <dmorgan> 1.3.0-0.rc1.1.mga3
+ Revision: 389248
- New version ( fixes build with java7)
- Build with Java7
- Java Stack Mass Rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 27 2011 dmorgan <dmorgan> 1.0.2-1.mga2
+ Revision: 129945
- Clean spec file

  + gil <gil>
    - imported package abbot


* Wed Jun 08 2011 gil <gil> 1.0.2-0.%%mkrel
- initial rpm